# Changelog

All notable changes to FSM5000FSI will be documented in this file.

## 2.0.16
- Improve documentation of FSI Samples

## 2.0.15
- Update of internal libraries.

## 2.0.14
- LZ Mapping: MP_ET_TROUBLE_BYPASS added to function type mapping
- New usage type MP_UT_INPUT_NORMAL_TROUBLE for the inputs. The input state will be handled by the LD Input instead of LD Point.

## 2.0.3
- Support of FSI API Version 3
- Compatible to AVENAR panel 8000 V3.0.0

## 1.4.3
- Both alarm verification states are converted to MTS-LZ 0x30
- API compatible to FSI-Lib V1.4.2

## 1.4.2
- Ensure compatibility with Remote Alert Software
- Upgraded to .NET 4.0, compiled with Visual Studio 2015
- Compatible to V2.19 of FPA-5000

## 1.3.5
- Ensure compatibility with "BMW Sounder Synchronisation" Software

## 1.3.4
- Ensure compatibility with LED Blinking software

## 1.3.1
- Introduced new parameter Operator Type to PanelCommand. The default value shall be used unless you really know what you are doing.

## 1.2.13
- Support of "Test" command for function type transmission device
- Support of "Activate" command for function type fire extinguisher
- Support of wild-card commands
- Support of scope command for "Brandfallsteuerungen"

## 1.2.11
- Support of FPA-5000 Release 2.8
  - Panel Timestamp for Event
  - Reset Panel Command
  - Silence On/Off Commands
  - Activate Fire Protection Equimpent On/Off Command
  - Visibility of FPA-5000 Sets to OPC-Server and support of corresponding commands (e.g. Activate, Deactivate, Bypass, Block, Walktest, Daymode)
- Other features
  - Support of Windows 2008 Server - 64 bit
  - Support of Windows 2008 Server R2 - 64 bit
  - Support of Windows 7 - 32 bit
  - Support of Windows 7 - 64 bit

## 1.1.4
- Parsing error in constructor with parameter string in class SIID fixed. In case of SI numbers greater that 255 an exception occurred.

## 1.1.3
- Communication between FSI and FPA5000 stops because a bug in the software compatibility check was fixed.
